# $Revision: 1.96 $, $Date: 2012/01/13 21:02:00 $
# TODO:
# - python-PyKDE4 whatever for printer-applet
#
%define		_state		stable
%define		orgname		kdeutils
%define		qtver		4.7.3

Summary:	K Desktop Environment - utilities
Summary(es.UTF-8):	KDE - Utilitarios
Summary(ja.UTF-8):	KDEデスクトップ環境 - ユーティリティ
Summary(pl.UTF-8):	K Desktop Environment - narzędzia
Summary(pt_BR.UTF-8):	KDE - Utilitários
Summary(ru.UTF-8):	K Desktop Environment - Утилиты
Summary(uk.UTF-8):	K Desktop Environment - Утиліти
Summary(zh_CN.UTF-8):	KDE实用工具
Name:		kde4-kdeutils
Version:	4.7.4
Release:	2
License:	GPL
Group:		X11/Applications
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.bz2
# Source0-md5:	7df8a48c48851cb0438acbbf727be396
URL:		http://www.kde.org/
BuildRequires:	Qt3Support-devel >= %{qtver}
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtDBus-devel >= %{qtver}
BuildRequires:	QtDesigner-devel >= %{qtver}
BuildRequires:	QtGui-devel >= %{qtver}
BuildRequires:	QtNetwork-devel >= %{qtver}
BuildRequires:	QtOpenGL-devel >= %{qtver}
BuildRequires:	QtScript-devel >= %{qtver}
BuildRequires:	QtScriptTools-devel >= %{qtver}
BuildRequires:	QtSql-devel >= %{qtver}
BuildRequires:	QtSvg-devel >= %{qtver}
BuildRequires:	QtTest-devel >= %{qtver}
BuildRequires:	QtUiTools-devel >= %{qtver}
BuildRequires:	QtWebKit-devel >= %{qtver}
BuildRequires:	QtXml-devel >= %{qtver}
BuildRequires:	QtXmlPatterns-devel >= %{qtver}
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cmake >= 2.8.0
BuildRequires:	docbook-dtd42-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	gmp-devel
# shadziu nie wywalaj tego bo od tego zalezy libextracthere
BuildRequires:	kde4-kdebase-devel >= %{version}
BuildRequires:	kde4-kdebase-workspace-devel >= %{version}
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	kde4-kdepimlibs-devel >= %{version}
BuildRequires:	libarchive-devel >= 2.8.3
BuildRequires:	libxml2-progs
BuildRequires:	pkgconfig
BuildRequires:	python-PyKDE4
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	python-sip-devel
BuildRequires:	qca-devel >= 2.0.0
BuildRequires:	qimageblitz-devel >= 0.0.6
BuildRequires:	qjson-devel >= 0.7.1
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRequires:	system-config-printer
BuildRequires:	xorg-lib-libXtst-devel
BuildRequires:	xz-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDE utilities. Package includes:
 - Ark - archive manager,
 - KCalc - calculator KCharSelect,
 - KCharSelect - character Selector,
 - KDEPasswd, password change application
 - KDESsh - SSH frontend,
 - Kdf - disk space GUI,
 - KEdit - text editor,
 - KFloppy - floppy formating tool,
 - KHexEdit - HEX file editor,
 - KJots - note taker,
 - KLaptopDaemon - laptop daemon,
 - KTimer - timer,
 - KTop - task manager,

%description -l es.UTF-8
Utilitarios para KDE. Programas disponibles en este paquete:
 - Ark,
 - KCalc - calculadora científica,
 - KCharSelect,
 - KDESsh,
 - Kdf -
 - KEdit - editor de textos sencillo,
 - KFloppy - herramienta de formatear disquetes,
 - KHexEdit - editor hexadecimal,
 - KJots - bloque de notas,
 - KLaptopDaemon,
 - KTimer.

%description -l ja.UTF-8
KDEデスクトップ環境用のユーティリティ 以下のようなパッケージが入っています。

- ark - アーカイブ操作ツール
- kcalc - 電卓
- kedit - テキストエディタ
- kfloppy - フロッピーフォーマッタ
- kjots - note taker

%description -l pl.UTF-8
Narzędzia dla KDE. Pakiet zawiera:
 - Ark - program do zarządzania archiwami,
 - KCalc - kalkulator,
 - KCharSelect - narzędzie do wybierania znaków,
 - KDEPasswd,
 - KDESsh - narzędzie do zdalnego wykonywania programów,
 - Kdf - graficzny interfejs do sprawdzania miejsca na dysku,
 - KEdit - edytor tekstu,
 - KFloppy - narzędzie do formatowania dyskietek,
 - KJots - notatnik,
 - KLaptopDaemon - demon dla laptopów,
 - KTimer - timer,
 - KTop - zarządca zadań,

%description -l pt_BR.UTF-8
Utilitários para o KDE. Programas disponíveis neste pacote:
 - Ark - controle de tempo pessoal,
 - KCalc - calculadora científica,
 - KCharSelect,
 - KDESsh - ferramenta de execução remota de programas,
 - KEdit - editor de textos simples
 - KFloppy - ferramenta de formatação de disquetes,
 - KJots - bloco de notas,
 - KLaptopDaemon - miniaplicativo de status de bateria para laptops,
 - KTimer - Monitor de tempo em forma de mini-aplicativo.

%description -l ru.UTF-8
Утилиты для K Desktop Environment. Включает:
 - ark - менеджер архивов tar/gzip,
 - kcalc - научный калькулятор,
 - kedit - простой текстовый редактор,
 - kfloppy - утилита для форматирования флоппи-дисков,
 - kjots - блокнот,

%description -l uk.UTF-8
Утилиты для K Desktop Environment. Містить:
 - ark - менеджер архівів tar/gzip,
 - kcalc - научний калькулятор,
 - kedit - простий текстовий редактор,
 - kfloppy - утиліта для форматування флопі-дисків,
 - kjots - нотатник,

%package devel
Summary:	Header files for compiling applications that use kdeutils libraries
Summary(pl.UTF-8):	Pliki nagłówkowe do kompilacji aplikacji używających bibliotek kdeutils
Summary(pt_BR.UTF-8):	Arquivos de inclusão para as bibliotecas do kdeutils
Group:		X11/Development/Libraries
Requires:	kde4-kdebase-devel >= %{version}

%description devel
This package includes the header files you will need to compile
applications that use kdeutils libraries.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe niezbędne do kompilacji aplikacji
używających bibliotek kdeutils.

%description devel -l pt_BR.UTF-8
Arquivos de inclusão para desenvolvimento e compilação de programas
que usem as bibliotecas do kdeutils

%package ark
Summary:	KDE Archive Manager
Summary(pl.UTF-8):	Zarządca archiwów dla KDE
Summary(pt_BR.UTF-8):	Gerenciador de pacotes TAR/comprimidos do KDE
Group:		X11/Applications
Requires:	kde4-kdebase-workspace >= %{version}
Requires:	libarchive
Requires:	libzip

%description ark
Ark is a program for managing and quickly extracting archives. It
supports arj, rar, zip, tar, zoo, lha and other formats.

%description ark -l pl.UTF-8
Ark jest programem służącym do zarządzania i szybkiego rozpakowywania
archiwów. Obsługuje archiwa arj, rar, zip, tar, zoo, lha oraz inne
formaty.

%description ark -l pt_BR.UTF-8
Gerenciador de pacotes TAR/comprimidos do KDE.

%package kcalc
Summary:	KDE Calculator
Summary(pl.UTF-8):	Kalkulator dla KDE
Summary(pt_BR.UTF-8):	Calculadora do KDE
Group:		X11/Applications
Requires:	kde4-kdebase-workspace >= %{version}

%description kcalc
Calculator for KDE.

%description kcalc -l pl.UTF-8
Kalkulator dla KDE.

%description kcalc -l pt_BR.UTF-8
Calculadora do KDE.

%package kcharselect
Summary:	KDE Character Selector
Summary(pl.UTF-8):	Program do wybierania znaków dla KDE
Summary(pt_BR.UTF-8):	Ferramenta de seleção de caracteres
Group:		X11/Applications
Requires:	kde4-kdebase-workspace >= %{version}

%description kcharselect
Application for selecting characters.

%description kcharselect -l pl.UTF-8
Program do wybierania znaków.

%package kdessh
Summary:	KDE SSH Frontend
Summary(pl.UTF-8):	Frontend SSH dla KDE
Summary(pt_BR.UTF-8):	Ferramenta de execução remota de programas
Group:		X11/Applications
Requires:	kde4-kdelibs >= %{version}

%description kdessh
A KDE SSH frontend.

%description kdessh -l pl.UTF-8
Frontend SSH dla KDE.

%description kdessh -l pt_BR.UTF-8
Ferramenta de execução remota de programas.

%package kdf
Summary:	KDE Disk space GUI
Summary(pl.UTF-8):	df dla KDE
Summary(pt_BR.UTF-8):	Mostra o status de espaço em disco
Group:		X11/Applications
Requires:	kde4-kdebase-workspace-infocenter >= %{version}

%description kdf
This program shows the disk usage of the mounted devices.

%description kdf -l pl.UTF-8
Ten program pokazuje zajętość dysku dla zamontowanych urządzeń.

%description kdf -l pt_BR.UTF-8
Mostra o status de espaço em disco.

%package kedit
Summary:	KDE Text Editor
Summary(pl.UTF-8):	Edytor tekstu dla KDE
Summary(pt_BR.UTF-8):	Editor de texto melhorado do KDE
Group:		X11/Applications/Editors
Requires:	kde4-kdebase-workspace >= %{version}

%description kedit
Simple text editor for KDE.

%description kedit -l pl.UTF-8
Prosty edytor tekstu dla KDE.

%description kedit -l pt_BR.UTF-8
Editor de texto melhorado do KDE.

%package kfloppy
Summary:	KDE Floppy Formater
Summary(pl.UTF-8):	Program formatujący dyskietki dla KDE
Summary(pt_BR.UTF-8):	Ferramenta de formatação de disquetes
Group:		X11/Applications
Requires:	dosfstools
Requires:	kde4-kdebase-workspace >= %{version}

%description kfloppy
KFloppy formats floppy disks and puts a DOS or ext2fs filesystem on
them.

%description kfloppy -l pl.UTF-8
KFloppy formatuje dyskietki i zakłada na nich system plików DOS lub
ext2.

%description kfloppy -l pt_BR.UTF-8
Ferramenta de formatação de disquetes.

%package kgpg
Summary:	A frontend for gpg
Summary(pl.UTF-8):	Nakładka graficzna na gpg
Group:		X11/Applications
Requires:	kde4-kdebase-workspace >= %{version}

%description kgpg
kgpg is a simple, free, open source KDE frontend for gpg. It features
- editor mode enables you to type/paste a text and
  encrypt/decrypt/sign/verify it
- key manager: import, export, delete, sign, generate and edit keys.
- integration with konqueror: left click on a file to decrypt/verify
  it, right click on a file to encrypt/sign it.
- encryption: support for symetric encryption. Multiple keys & default
  key encryption. Optional shredding of source files
- signatures: creation & verification of detached & cleartext
  signatures
- drag & drop encryption + clipboard en/decryption

%description kgpg -l pl.UTF-8
kgpg jest prostą, darmową, z otwartymi źródłami, graficzną nakładką na
gpg przeznaczoną dla KDE. Ma następujące możliwości:
- tryb edytora umożliwiający napisanie/wklejenie tekstu oraz
  zaszyfrowanie/odszyfrowanie/podpisanie/sprawdzenie go,
- zarządzanie kluczami: import, eksport, usuwanie, podpisywanie,
  generowanie oraz edycję,
- integrację z Konquerorem: kliknięcie lewym przyciskiem na pliku w
  celu odszyfrowania/sprawdzenia go, kliknięcie prawym przyciskiem na
  pliku w celu zaszyfrowania/podpisania go,
- szyfrowanie: obsługa szyfrów symetrycznych; wiele kluczy i domyślne
  szyfrowanie kluczem; opcjonalnie niszczenie plików źródłowych,
- sygnatury: tworzenie i sprawdzanie oddzielonych i czysto tekstowych
  sygnatur,
- szyfrowanie metodą przeciągnij-i-upuść oraz szyfrowanie i
  odszyfrowywanie schowka.

%package kjots
Summary:	KDE Note taker
Summary(pl.UTF-8):	Notatnik dla KDE
Summary(pt_BR.UTF-8):	Ferramenta de armazenamento de livros
Group:		X11/Applications
Requires:	kde4-kdebasei-workspace >= %{version}

%description kjots
kjots is a small note taker program. Name and idea are taken from the
jots program included in the tkgoodstuff package.

%description kjots -l pl.UTF-8
KJots to mały program do zapisywania notatek.

%description kjots -l pt_BR.UTF-8
Ferramenta de armazenamento de livros.

%package ktimer
Summary:	KDE Timer
Summary(pl.UTF-8):	Timer dla KDE
Summary(pt_BR.UTF-8):	Monitor de tempo em forma de mini-aplicativo
Group:		X11/Applications
Requires:	kde4-kdebase-workspace >= %{version}

%description ktimer
This is a timer application for KDE. It allows you to execute commands
after a certain amount of time. It allows looping commands as well as
delaying the execution of a command.

%description ktimer -l pl.UTF-8
To jest aplikacja timera dla KDE. Umożliwia wykonywanie poleceń po
określonym czasie, zapętlanie poleceń, a także opóźnienie wykonywania
poleceń.

%description ktimer -l pt_BR.UTF-8
Monitor de tempo em forma de mini-aplicativo.

%package kwalletmanager
Summary:	Password management tool for KDE
Summary(pl.UTF-8):	Narzędzie do zarządzania hasłami dla KDE
Group:		X11/Applications
Requires:	kde4-kdebase-workspace >= %{version}

%description kwalletmanager
Password management tool for KDE.

%description kwalletmanager -l pl.UTF-8
Narzędzie do zarządzania hasłami w KDE.

%package superkaramba
Summary:	Little interactive widgets on KDE desktop
Summary(pl.UTF-8):	Małe interaktywne widżety na pulpicie KDE
Group:		X11/Applications
Requires:	kde4-kdebase-workspace >= %{version}
Provides:	superkaramba = %{version}-%{release}

%description superkaramba
SuperKaramba is a tool that allows anyone to easily create and run
little interactive widgets on a KDE desktop.

%description superkaramba -l pl.UTF-8
SuperKaramba to narzędzie pozwalające na łatwe tworzenie i
uruchamianie małych interaktywnych widżetów na pulpicie KDE.

%package printer-applet
Summary:	Printer status applet for KDE
Summary(pl.UTF-8):	Aplet stanu drukarki dla KDE
Group:		X11/Applications
Requires:	kde4-kdebase-workspace >= %{version}

%description printer-applet
KDE Printer Applet is a system tray utility which shows current print
jobs and printer warnings or errors.

%description printer-applet -l pl.UTF-8
KDE Printer Applet to narzędzie tacki systemowej pokazujące bieżące
zadania drukarki oraz ostrzeżenia i błędy.

%package irkick
Summary:	KDE Irkick
Summary(pl.UTF-8):	Irkick dla KDE
Group:		X11/Applications
Requires:	kde4-kdebase-workspace >= %{version}

%description irkick
KDE LIRC is the infrastructure for the KDE's Infrared Remote Control
functionality. IRKick is the server component of that infrastructure.

%description irkick -l pl.UTF-8
irkick.

%package profiles
Summary:	KDE Profiles for Aplications
Summary(pl.UTF-8):	Profile aplikacji dla KDE
Group:		X11/Applications
Requires:	kde4-kdebasei-workspace >= %{version}

%description profiles
Profiles for aplications.

%description profiles -l pl.UTF-8
Profile do aplikacji.

%package sweeper
Summary:	System cleaner
Summary(pl.UTF-8):	Czyszczenie systemu
Group:		X11/Applications

%description sweeper
System cleaner.

%description sweeper -l pl.UTF-8
Czyszczenie systemu.

%package filelight
Summary:	Disk usage statistics
Summary(pl.UTF-8):	Statystyki zużycia przestrzeni dyskowej
Group:		X11/Applications

%description filelight
Disk usage statistics.

%description filelight -l pl.UTF-8
Statystyki zużycia przestrzeni dyskowej.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	-DINSTALL_PRINTER_APPLET=TRUE \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

# unsupported
rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/locolor

#%find_lang ark			--with-kde
#%find_lang kcalc		--with-kde
#%find_lang kcharselect		--with-kde
#%find_lang kdf			--with-kde
#%find_lang kfloppy		--with-kde
#%find_lang kgpg			--with-kde
#%find_lang ktimer		--with-kde
#%find_lang kwallet		--with-kde
#%find_lang superkaramba		--with-kde
#%find_lang ktimer		--with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	ark		-p /sbin/ldconfig
%postun	ark		-p /sbin/ldconfig

%post	superkaramba	-p /sbin/ldconfig
%postun	superkaramba	-p /sbin/ldconfig

%post	irkick	-p /sbin/ldconfig
%postun	irkick	-p /sbin/ldconfig

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkerfuffle.so
%attr(755,root,root) %{_libdir}/libsuperkaramba.so
%attr(755,root,root) %{_libdir}/liblibkremotecontrol.so

#%files profiles
#%defattr(644,root,root,755)
#%{_datadir}/apps/profiles/amarok.profile.xml
#%{_datadir}/apps/profiles/dragonplayer.profile.xml
#%{_datadir}/apps/profiles/klauncher.profile.xml
#%{_datadir}/apps/profiles/kmix.profile.xml
#%{_datadir}/apps/profiles/konqueror.profile.xml
##%{_datadir}/apps/profiles/kscd.profile.xml
#%{_datadir}/apps/profiles/okular.profile.xml
#%{_datadir}/apps/profiles/profile.dtd
#%{_datadir}/apps/profiles/shutdown.profile.xml
#%{_datadir}/apps/profiles/suspend.profile.xml
#%{_datadir}/apps/profiles/vlc.profile.xml

%files ark
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ark
%attr(755,root,root) %{_libdir}/kde4/arkpart.so
%attr(755,root,root) %{_libdir}/kde4/kerfuffle_libarchive.so
%attr(755,root,root) %{_libdir}/kde4/kerfuffle_libgz.so
%attr(755,root,root) %ghost %{_libdir}/libkerfuffle.so.?
%attr(755,root,root) %{_libdir}/libkerfuffle.so.*.*.*
%attr(755,root,root) %{_libdir}/kde4/kerfuffle_cli7z.so
%attr(755,root,root) %{_libdir}/kde4/kerfuffle_clirar.so
%attr(755,root,root) %{_libdir}/kde4/kerfuffle_clizip.so
%attr(755,root,root) %{_libdir}/kde4/kerfuffle_libbz2.so
%attr(755,root,root) %{_libdir}/kde4/kerfuffle_libxz.so
%attr(755,root,root) %{_libdir}/kde4/libextracthere.so
%{_datadir}/apps/ark
%{_datadir}/kde4/servicetypes/kerfufflePlugin.desktop
%{_datadir}/kde4/services/ark_part.desktop
%{_datadir}/kde4/services/kerfuffle_libarchive.desktop
%{_datadir}/kde4/services/kerfuffle_libgz.desktop
%{_datadir}/kde4/services/ark_dndextract.desktop
%{_datadir}/kde4/services/kerfuffle_cli7z.desktop
%{_datadir}/kde4/services/kerfuffle_clirar.desktop
%{_datadir}/kde4/services/kerfuffle_clizip.desktop
%{_datadir}/kde4/services/kerfuffle_libarchive_readonly.desktop
%{_datadir}/kde4/services/kerfuffle_libbz2.desktop
%{_datadir}/kde4/services/kerfuffle_libxz.desktop
%{_datadir}/kde4/services/ServiceMenus/ark_addtoservicemenu.desktop
%{_datadir}/kde4/services/ServiceMenus/ark_servicemenu.desktop
%{_datadir}/config.kcfg/ark.kcfg
%{_desktopdir}/kde4/ark.desktop
%{_kdedocdir}/en/ark
%{_mandir}/man1/ark.1.*

%files sweeper
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/sweeper
%{_desktopdir}/kde4/sweeper.desktop
%dir %{_datadir}/apps/sweeper
%{_datadir}/apps/sweeper/sweeperui.rc
%{_datadir}/dbus-1/interfaces/org.kde.sweeper.xml
%{_kdedocdir}/en/sweeper

%files kcalc
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kcalc
%attr(755,root,root) %{_libdir}/libkdeinit4_kcalc.so
%{_datadir}/apps/kcalc
%{_datadir}/apps/kconf_update/kcalcrc.upd
%{_datadir}/config.kcfg/kcalc.kcfg
%{_desktopdir}/kde4/kcalc.desktop
%{_kdedocdir}/en/kcalc
#%{_iconsdir}/*/*/apps/kcalc.*

%files kcharselect
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kcharselect
%{_datadir}/apps/kcharselect
%{_datadir}/apps/kconf_update/kcharselect.upd
%{_desktopdir}/kde4/KCharSelect.desktop
%{_kdedocdir}/en/kcharselect

#%files kdessh
#%defattr(644,root,root,755)
#%attr(755,root,root) %{_bindir}/kdessh

%files kdf
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kdf
%attr(755,root,root) %{_bindir}/kwikdisk
%attr(755,root,root) %{_libdir}/kde4/kcm_kdf.so
%{_datadir}/kde4/services/kcmdf.desktop
%{_datadir}/apps/kdf
%{_desktopdir}/kde4/kdf.desktop
%{_desktopdir}/kde4/kwikdisk.desktop
%{_iconsdir}/*/*/apps/kcmdf.*
%{_iconsdir}/*/*/apps/kdf.*
%{_iconsdir}/*/*/apps/kwikdisk.*
%{_kdedocdir}/en/kdf

%files kfloppy
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kfloppy
%{_desktopdir}/kde4/KFloppy.desktop
%{_iconsdir}/*/*/apps/kfloppy.*
%{_kdedocdir}/en/kfloppy

%files kgpg
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kgpg
%{_datadir}/apps/kgpg
%{_datadir}/kde4/services/ServiceMenus/encryptfile.desktop
%{_datadir}/kde4/services/ServiceMenus/encryptfolder.desktop
%{_datadir}/kde4/services/ServiceMenus/viewdecrypted.desktop
%{_datadir}/autostart/kgpg.desktop
%{_datadir}/config.kcfg/kgpg.kcfg
%{_desktopdir}/kde4/kgpg.desktop
%{_iconsdir}/*/*/apps/kgpg.*
%{_datadir}/dbus-1/interfaces/org.kde.kgpg.Key.xml
%{_kdedocdir}/en/kgpg

%files ktimer
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ktimer
%{_desktopdir}/kde4/ktimer.desktop
%{_iconsdir}/*/*/*/ktimer.png
%{_kdedocdir}/en/ktimer

%files kwalletmanager
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kwalletmanager
%attr(755,root,root) %{_libdir}/kde4/kcm_kwallet.so
%{_datadir}/apps/kwalletmanager
%{_datadir}/kde4/services/kwalletmanager_show.desktop
%{_datadir}/kde4/services/kwalletconfig.desktop
%{_desktopdir}/kde4/kwalletmanager.desktop
%{_desktopdir}/kde4/kwalletmanager-kwalletd.desktop
%{_iconsdir}/hicolor/*/apps/kwalletmanager*.png
%{_kdedocdir}/en/kwallet

%files superkaramba
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/superkaramba
%attr(755,root,root) %{_libdir}/libsuperkaramba.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsuperkaramba.so.?
%attr(755,root,root) %{_libdir}/kde4/plasma_package_superkaramba.so
%attr(755,root,root) %{_libdir}/kde4/plasma_scriptengine_superkaramba.so
%{_datadir}/apps/superkaramba
%{_datadir}/config/superkaramba.knsrc
%{_datadir}/dbus-1/interfaces/org.kde.superkaramba.xml
%{_datadir}/kde4/services/plasma-package-superkaramba.desktop
%{_datadir}/kde4/services/plasma-scriptengine-superkaramba.desktop
%{_desktopdir}/kde4/superkaramba.desktop
%{_iconsdir}/[!l]*/*/*/superkaramba*.*
#%{_kdedocdir}/en/superkaramba

%files printer-applet
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/printer-applet
%dir %{_datadir}/apps/printer-applet
%{_datadir}/apps/printer-applet/printer-applet-printers.ui
%{_datadir}/apps/printer-applet/printer-applet.py
%{_datadir}/apps/printer-applet/printer-applet.ui
%{_datadir}/apps/printer-applet/printer-appletui.rc
%{_datadir}/apps/printer-applet/authconn.py
%{_datadir}/apps/printer-applet/debug.py
%{_datadir}/apps/printer-applet/monitor.py
%{_datadir}/apps/printer-applet/printer-applet.notifyrc
%{_datadir}/apps/printer-applet/statereason.py
%{_datadir}/autostart/printer-applet.desktop
%{_kdedocdir}/en/printer-applet

%files irkick
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/krcdnotifieritem
%attr(755,root,root) %{_libdir}/kde4/kcm_remotecontrol.so
%attr(755,root,root) %{_libdir}/kde4/kded_kremotecontroldaemon.so
%attr(755,root,root) %{_libdir}/kde4/kremotecontrol_lirc.so
%attr(755,root,root) %{_libdir}/kde4/plasma_engine_kremoteconrol.so
%attr(755,root,root) %ghost %{_libdir}/liblibkremotecontrol.so.?
%attr(755,root,root) %{_libdir}/liblibkremotecontrol.so.*.*.*
%{_desktopdir}/kde4/krcdnotifieritem.desktop
%{_datadir}/apps/kremotecontrol
%{_datadir}/apps/kremotecontroldaemon
%{_iconsdir}/hicolor/*x*/actions/krcd_flash.png
%{_iconsdir}/hicolor/*x*/actions/krcd_off.png
%{_iconsdir}/hicolor/*x*/apps/krcd.png
%{_iconsdir}/hicolor/*x*/devices/infrared-remote.png
%{_datadir}/kde4/services/kcm_remotecontrol.desktop
%{_datadir}/kde4/services/kded/kremotecontroldaemon.desktop
%{_datadir}/kde4/services/kremotecontrolbackends
%{_datadir}/kde4/services/plasma-engine-kremotecontrol.desktop
%{_datadir}/kde4/servicetypes/kremotecontrolmanager.desktop
%{_kdedocdir}/en/kcontrol

%files filelight
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/filelight
%attr(755,root,root) %{_libdir}/kde4/filelightpart.so
%{_desktopdir}/kde4/filelight.desktop
%{_datadir}/apps/filelight
%{_datadir}/apps/filelightpart
%{_datadir}/config/filelightrc
%{_kdedocdir}/en/filelight
%{_iconsdir}/hicolor/*x*/apps/filelight.png
%{_iconsdir}/hicolor/*x*/actions/view_filelight.png
%{_datadir}/kde4/services/filelightpart.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde4-kdeutils.spec,v $
Revision 1.96  2012/01/13 21:02:00  arekm
- release 2

Revision 1.95  2011/12/03 10:35:48  arekm
- up to 4.7.4

Revision 1.94  2011/11/25 22:38:19  arekm
- up to 4.7.3

Revision 1.93  2011/10/04 23:17:12  arekm
- up to 4.7.2

Revision 1.92  2011/09/07 16:29:07  arekm
- up to 4.7.1

Revision 1.91  2011/08/05 00:14:47  charles
- BR: docbook-dtd42-xml, docbook-style-xsl, python-PyKDE4, xorg-lib-libXtst-devel

Revision 1.90  2011/07/26 21:39:30  arekm
- up to 4.7.0

Revision 1.89  2011/07/01 13:14:02  arekm
- up to 4.6.5

Revision 1.88  2011/06/12 15:13:24  arekm
- up to 4.6.4

Revision 1.87  2011/05/04 13:41:44  arekm
- up to 4.6.3

Revision 1.86  2011/04/02 17:57:56  arekm
- up to 4.6.2

Revision 1.85  2011/03/02 08:09:30  arekm
- up to 4.6.1

Revision 1.84  2011/02/20 21:38:28  arekm
- release 2

Revision 1.83  2011/01/31 08:56:55  arekm
- package whole filelight dirs

Revision 1.82  2011/01/22 13:15:41  shadzik
- clear todo

Revision 1.81  2011/01/22 13:15:29  shadzik
- add filelight subpackage
- rel 1

Revision 1.80  2011/01/21 18:56:59  arekm
- 4.6.0 (todo: package filelight)

Revision 1.79  2011/01/05 13:49:16  shadzik
- adjusted to new cmake macro

Revision 1.78  2011/01/04 18:55:35  arekm
- up to 4.4.5

Revision 1.77  2010/11/30 13:03:07  shadzik
- rel 2, new tarball

Revision 1.76  2010/11/28 22:03:53  shadzik
- 4.5.4

Revision 1.75  2010/11/03 22:47:39  shadzik
- BR: QtScriptTools-devel
- rel 2

Revision 1.74  2010/10/30 16:16:21  arekm
- up to 4.5.3

Revision 1.73  2010/10/06 13:35:47  shadzik
- 4.5.2

Revision 1.72  2010/09/01 10:17:19  shadzik
- BR: qjson-devel
- rel 2
- re-add files

Revision 1.71  2010/08/28 21:47:19  shadzik
- 4.5.1

Revision 1.70  2010/08/16 23:15:42  shadzik
- rebuild with new qimageblitz
- rel 7

Revision 1.69  2010/08/06 18:17:20  shadzik
- fix irkick files
- rel 6

Revision 1.68  2010/08/06 09:07:10  shadzik
- more sweeper docs
- rel 5
- rebuild with new kdelibs

Revision 1.67  2010/08/05 06:31:27  shadzik
- fix typos
- rel 4

Revision 1.66  2010/08/04 21:46:21  shadzik
- new tarball

Revision 1.65  2010/08/03 21:40:07  shadzik
- 22:45 < arekm> bs: podbijaj rel jak wrzucasz nowy tarball
- rel 2

Revision 1.64  2010/08/03 20:17:12  shadzik
- new tarball

Revision 1.63  2010/08/02 20:51:45  shadzik
- rel 1

Revision 1.62  2010/08/02 20:50:55  shadzik
- separate sweeper to a subpackage

Revision 1.61  2010/08/02 20:47:27  shadzik
- %files
- changes Rs: to kde4-kdebase-workspace as it makes more sense to me
- TODO sweeper

Revision 1.60  2010/07/31 16:37:41  arekm
- release fixed to be 0.1 (since specs are not finished)

Revision 1.59  2010/07/31 11:43:00  shadzik
- 4.5.0
- NFY, lots of files

Revision 1.58  2010/07/09 11:17:42  arekm
- release 2

Revision 1.57  2010/06/30 16:59:44  shadzik
- 4.4.5

Revision 1.56  2010/05/29 00:15:46  shadzik
- 4.4.4

Revision 1.55  2010/05/01 15:24:05  shadzik
- 4.4.3

Revision 1.54  2010/04/01 16:50:21  pluto
- release 5.

Revision 1.53  2010/03/31 22:32:39  charles
- fixed -irkick (moved kcm_lirc.desktop)

Revision 1.52  2010/03/30 21:46:28  shadzik
- re-add kde4-kdebase-devel BR
- rel 4
- note to myself about this BR :)

Revision 1.51  2010/03/29 07:08:48  arekm
- release 3

Revision 1.50  2010/03/28 21:44:32  shadzik
- bump up libarchive version
- rel 2
- kill unneeded brs

Revision 1.49  2010/03/28 18:54:23  shadzik
- 4.4.2

Revision 1.48  2010/02/27 12:42:00  shadzik
- 4.4.1 try #1

Revision 1.47  2010/02/22 08:59:03  shadzik
- rel 3

Revision 1.46  2010/02/21 23:26:36  sparky
- BR: kde4-kdebase-devel, kde4-kdebase-workspace-devel, python-sip-devel
- dropped unused BR: QtAssistant-devel, QtHelp-devel, libtool, libzip-devel,
  net-snmp-devel, python-PyKDE4, python-PyQt4-devel

Revision 1.45  2010/02/18 16:23:16  shadzik
- re-add libextracthere to ark

Revision 1.44  2010/02/18 16:04:23  shadzik
- merged from DEVEL

Revision 1.39.2.12  2010/02/04 22:12:49  arekm
- up to 4.4.0

Revision 1.39.2.11  2010/02/02 20:56:35  shadzik
- bump up qtver; it's not necessary but we make sure we link with the latest qtver

Revision 1.39.2.10  2010/02/02 16:01:49  shadzik
- minor clean up (removing old svn snap stuff)

Revision 1.39.2.9  2010/02/02 13:12:57  shadzik
- force cmake 2.8.0 BR

Revision 1.39.2.8  2010/02/01 07:01:27  shadzik
- 4.4 RC3

Revision 1.39.2.7  2010/01/28 23:09:23  shadzik
- kill useless kde4-kdebase-devel BR

Revision 1.39.2.6  2010/01/08 11:53:27  arekm
- up to 4.3.90

Revision 1.39.2.5  2009/12/24 02:06:38  shadzik
- 4.4 Beta2

Revision 1.39.2.4  2009/12/05 02:32:03  shadzik
- 4.4 beta1

Revision 1.39.2.3  2009/12/03 23:12:15  sparky
- BR: kde4-kdelibs-devel, python-PyKDE4, qca-devel, qimageblitz-devel,
  qt4-build, qt4-qmake, rpm-pythonprov, xz-devel

Revision 1.39.2.2  2009/10/19 08:13:48  paszczus
- updated to 4.3.72

Revision 1.39.2.1  2009/10/08 00:20:49  cactus
- up to 4.3.69

Revision 1.39  2009/10/03 12:00:05  shadzik
- updated qt BR

Revision 1.38  2009/10/03 11:52:42  shadzik
- 4.3.2 try #1

Revision 1.37  2009/08/29 15:12:16  shadzik
- 4.3.1

Revision 1.36  2009/08/03 15:20:28  arekm
- values are case sensitive it seems

Revision 1.35  2009/07/29 20:59:37  shadzik
- merged from DEVEL

Revision 1.34.2.12  2009/07/29 20:59:29  shadzik
- 4.3.0

Revision 1.34.2.11  2009/07/22 13:50:22  shadzik
- 4.3rc3

Revision 1.34.2.10  2009/07/20 16:08:26  shadzik
- %dir

Revision 1.34.2.9  2009/07/13 23:58:19  shadzik
- 4.3rc2

Revision 1.34.2.8  2009/07/04 15:34:23  shadzik
- fix --target build

Revision 1.34.2.7  2009/07/04 14:43:12  shadzik
- add profiles subpackage
- rel 4

Revision 1.34.2.6  2009/07/04 13:04:40  shadzik
- ghost symlinks
- run ldconfig for irkick
- rel 3

Revision 1.34.2.5  2009/07/04 13:03:12  shadzik
- printer applets go to printer-applet ;)

Revision 1.34.2.4  2009/07/04 12:53:59  shadzik
- adapterized

Revision 1.34.2.3  2009/07/04 12:50:19  shadzik
- icons
- rel 2

Revision 1.34.2.2  2009/07/04 12:46:09  shadzik
- add irkick subpackage
- lirc is part of irkick
- add libextracthere to ark

Revision 1.34.2.1  2009/07/04 12:39:04  shadzik
- 4.3 RC1
- NFY
- needs more subpackages like: irkick, lirc (where all the remotes profiles go), and something more

Revision 1.33  2009/07/04 12:33:56  shadzik
- 4.3 RC1
- NFY
- needs more subpackages like: irkick, lirc (where all the remotes profiles go), and something more

Revision 1.32  2009/06/03 20:02:45  shadzik
- 4.2.4

Revision 1.31  2009/05/08 15:02:12  shadzik
- release 3

Revision 1.30  2009/05/08 14:34:41  shadzik
- updated cmake br

Revision 1.29  2009/05/02 02:07:32  shadzik
- 4.2.3

Revision 1.28  2009/03/27 23:20:04  shadzik
- 4.2.2

Revision 1.27  2009/02/27 16:36:54  shadzik
- 4.2.1

Revision 1.26  2009/02/20 12:15:49  shadzik
- release 5

Revision 1.25  2009/02/20 11:54:04  shadzik
- conditional release/debug build (thx glen)

Revision 1.24  2009/02/20 10:56:42  shadzik
- don't be that noisy on terminal output; rel up

Revision 1.23  2009/02/06 16:50:47  qboosh
- pl for -printer-applet

Revision 1.22  2009/02/03 15:57:26  shadzik
- merged from DEVEL
- 4.2.0 stable
- rel 3

Revision 1.21.2.20  2009/01/22 19:31:11  shadzik
- updated automoc4 BR; rel 2

Revision 1.21.2.19  2009/01/22 18:09:13  shadzik
- 4.2.0

Revision 1.21.2.18  2009/01/07 20:04:29  shadzik
- 4.2 RC1

Revision 1.21.2.17  2009/01/05 17:53:40  glen
- revert source url change

Revision 1.21.2.16  2009/01/03 20:38:59  rotom
- up to 4.1.87
- new Source URL

Revision 1.21.2.15  2008/12/15 18:02:29  shadzik
- 4.1.85

Revision 1.21.2.14  2008/11/29 04:44:10  shadzik
- 4.1.81
- BR cmake

Revision 1.21.2.13  2008/11/26 22:45:41  shadzik
- 4.2 beta1

Revision 1.21.2.12  2008/11/14 08:22:32  cactus
- up to 4.1.73

Revision 1.21.2.11  2008/11/06 11:05:30  shadzik
- 4.1.72 (there might be a problem while locating plasma)

Revision 1.21.2.10  2008/10/23 19:50:11  rotom
- up to 4.1.71

Revision 1.21.2.9  2008/10/20 00:55:57  shadzik
- rel up and qtver bump up

Revision 1.21.2.8  2008/10/20 00:52:02  shadzik
- s/kde4-kdebase-core/kde4-kdebase/g in Rs

Revision 1.21.2.7  2008/10/20 00:12:30  shadzik
- dont own %{_datadir}/kde4/services/ServiceMenus (owned by kdelibs)

Revision 1.21.2.6  2008/10/18 17:03:43  rotom
- up to 4.1.70

Revision 1.21.2.5  2008/10/12 22:15:24  shadzik
- add patch0

Revision 1.21.2.4  2008/10/12 21:59:00  shadzik
- 4.1.69

Revision 1.21.2.3  2008/09/06 16:34:30  rotom
- up to 4.1.65

Revision 1.21.2.2  2008/08/31 16:18:04  wolf
- 4.1.64

Revision 1.21.2.1  2008/08/16 19:57:43  rotom
- up to 4.1.61
- some BRs added

Revision 1.21  2008/07/24 19:24:39  paszczus
- updated to stable 4.1.0

Revision 1.20  2008/07/15 19:28:26  shadzik
- 4.0.98

Revision 1.19  2008/07/04 08:30:18  paszczus
- updated to 4.0.85

Revision 1.18  2008/07/03 12:42:22  paszczus
- updated to 4.0.84

Revision 1.17  2008/06/26 20:45:22  pluto
- BR: python-PyQt4-devel.
  there're more unresolved BRs.

Revision 1.16  2008/06/25 21:48:04  shadzik
- BR: automoc4

Revision 1.15  2008/06/24 18:52:52  shadzik
- 4.0.83

Revision 1.14  2008/06/24 11:11:02  shadzik
- BR: kde4.kdepimlibs-devel
- thx grizz

Revision 1.13  2008/06/20 18:52:35  shadzik
- 64bit fix

Revision 1.12  2008/06/14 15:56:02  shadzik
- 4.0.82

Revision 1.11  2008-06-14 15:54:36  shadzik
- kill shitty BRs

Revision 1.10  2008-06-01 20:47:17  qboosh
- macros

Revision 1.9  2008-06-01 11:04:30  rotom
- up to 4.0.80
- kjots package removed

Revision 1.8  2008-05-25 08:06:14  pascalek
- updated to 4.0.74

Revision 1.7  2008-05-10 16:04:21  shadzik
- removed oboslete packages
- NO EPOCH in Rs
- fixed %files
- killed bulshity Obsoletes

Revision 1.6  2008-05-10 15:39:19  shadzik
- 4.0.73
- rel 1

Revision 1.5  2008-05-10 15:38:33  shadzik
- ghost symlinks

Revision 1.4  2008-04-21 19:10:29  qboosh
- real pl desc for -okteta

Revision 1.3  2008-04-20 14:29:45  rotom
- 4.0.70
- oktate subpackage added

Revision 1.2  2008-03-09 18:14:46  rotom
- 4.0.65

Revision 1.1  2008-02-16 12:10:19  rotom
- Initial (NFY)
